# Invoice Templates Invoice Templates ## Gets all of the invoice templates in the system. - [GET /invoiceTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/listinvoicetemplates.md): This method will scan all invoice templates and and return them to the caller. ## Creates a new invoice template record that does not already exist. - [POST /invoiceTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/createinvoicetemplate.md): This method will auto-generate an ID and create a new invoice template. If an ID is specified for the invoice template, an error will be thrown. ## Execute Batch Operations - [POST /invoiceTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a invoice template from the system by its ID. - [DELETE /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/deleteinvoicetemplate.md): This method will delete a invoice template with the specified ID. ## Returns a invoice template from the system by its ID. - [GET /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/getinvoicetemplate.md): This method will look up a invoice template by the specified ID and return it back. ## Partially updates a invoice template with the specified ID. - [PATCH /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/patchinvoicetemplate.md): This method will patch an existing invoice template with the specified ID, using the HTTP PATCH specification. ## Updates a invoice template with the specified ID. - [PUT /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/updateinvoicetemplate.md): This method will update an existing invoice template with the specified ID.